"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCommons = exports.CommonUtilProvider = exports.AppCommons = void 0;
var _react = _interopRequireWildcard(require("react"));
var _logger = require("../services/logger");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const AppCommons = /*#__PURE__*/(0, _react.createContext)(null);
exports.AppCommons = AppCommons;
const CommonUtilProvider = _ref => {
  let {
    children
  } = _ref;
  const logger = new _logger.AppConsoleLogger(_logger.LogLevel.test);
  const log = async (messaage, logLevel) => {
    logger.log(logLevel, messaage);
    //TODO: do some more logic like collecting errors for later logging and investigation
  };

  return /*#__PURE__*/_react.default.createElement(AppCommons.Provider, {
    value: {
      log: log
    }
  }, children);
};
exports.CommonUtilProvider = CommonUtilProvider;
const useCommons = () => {
  const commonsContext = (0, _react.useContext)(AppCommons);
  if (!commonsContext) {
    throw new Error('commonsContext must be used within a CommonUtilProvider');
  }
  return commonsContext;
};
exports.useCommons = useCommons;
//# sourceMappingURL=commons.js.map