"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultConfiguration = void 0;
var _ariesBifoldVerifier = require("@hyperledger/aries-bifold-verifier");
var _legacy = require("@hyperledger/aries-oca/build/legacy");
var bundle = _interopRequireWildcard(require("./assets/oca-bundles.json"));
var _EmptyList = _interopRequireDefault(require("./components/misc/EmptyList"));
var _Record = _interopRequireDefault(require("./components/record/Record"));
var _HomeFooterView = _interopRequireDefault(require("./components/views/HomeFooterView"));
var _HomeHeaderView = _interopRequireDefault(require("./components/views/HomeHeaderView"));
var _indy = _interopRequireDefault(require("./configs/ledgers/indy"));
var _constants = require("./constants");
var _notifications = require("./hooks/notifications");
var _localization = require("./localization");
var _Developer = _interopRequireDefault(require("./screens/Developer"));
var _OnboardingPages = _interopRequireDefault(require("./screens/OnboardingPages"));
var _Preface = _interopRequireDefault(require("./screens/Preface"));
var _Scan = _interopRequireDefault(require("./screens/Scan"));
var _Splash = _interopRequireDefault(require("./screens/Splash"));
var _Terms = _interopRequireDefault(require("./screens/Terms"));
var _UseBiometry = _interopRequireDefault(require("./screens/UseBiometry"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const defaultConfiguration = {
  pages: _OnboardingPages.default,
  splash: _Splash.default,
  terms: _Terms.default,
  preface: _Preface.default,
  developer: _Developer.default,
  homeHeaderView: _HomeHeaderView.default,
  homeFooterView: _HomeFooterView.default,
  credentialListHeaderRight: () => null,
  credentialListOptions: () => null,
  credentialEmptyList: _EmptyList.default,
  OCABundleResolver: new _legacy.DefaultOCABundleResolver(bundle, {
    brandingOverlayType: _legacy.BrandingOverlayType.Branding10
  }),
  scan: _Scan.default,
  record: _Record.default,
  PINSecurity: {
    rules: _constants.PINRules,
    displayHelper: false
  },
  indyLedgers: _indy.default,
  settings: [],
  customNotification: {
    component: () => null,
    onCloseAction: () => null,
    title: '',
    description: '',
    buttonTitle: '',
    pageTitle: ''
  },
  proofRequestTemplates: _ariesBifoldVerifier.useProofRequestTemplates,
  enableTours: false,
  supportedLanguages: Object.keys(_localization.translationResources),
  showPreface: false,
  disableOnboardingSkip: false,
  useCustomNotifications: _notifications.useNotifications,
  useBiometry: _UseBiometry.default,
  whereToUseWalletUrl: 'https://example.com',
  showScanHelp: true,
  showScanButton: true,
  showDetailsInfo: true
};
exports.defaultConfiguration = defaultConfiguration;
//# sourceMappingURL=defaultConfiguration.js.map