import { createStackNavigator } from '@react-navigation/stack';
import React from 'react';
import { useTranslation } from 'react-i18next';
import { useConfiguration } from '../contexts/configuration';
import { useTheme } from '../contexts/theme';
import CredentialDetails from '../screens/CredentialDetails';
import CredentialOffer from '../screens/CredentialOffer';
import ProofRequest from '../screens/ProofRequest';
import { Screens } from '../types/navigators';
import { createDefaultStackOptions } from './defaultStackOptions';
const NotificationStack = () => {
  const Stack = createStackNavigator();
  const theme = useTheme();
  const {
    t
  } = useTranslation();
  const defaultStackOptions = createDefaultStackOptions(theme);
  const {
    customNotification
  } = useConfiguration();
  return /*#__PURE__*/React.createElement(Stack.Navigator, {
    screenOptions: {
      ...defaultStackOptions
    }
  }, /*#__PURE__*/React.createElement(Stack.Screen, {
    name: Screens.CredentialDetails,
    component: CredentialDetails,
    options: {
      title: t('Screens.CredentialDetails')
    }
  }), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: Screens.CredentialOffer,
    component: CredentialOffer,
    options: {
      title: t('Screens.CredentialOffer')
    }
  }), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: Screens.ProofRequest,
    component: ProofRequest,
    options: {
      title: t('Screens.ProofRequest')
    }
  }), /*#__PURE__*/React.createElement(Stack.Screen, {
    name: Screens.CustomNotification,
    component: customNotification.component,
    options: {
      title: t(customNotification.pageTitle)
    }
  }));
};
export default NotificationStack;
//# sourceMappingURL=NotificationStack.js.map