/// <reference types="react" />
import { DependencyContainer } from 'tsyringe';
import { Container, TokenMapping } from './container-api';
export declare class MainContainer implements Container {
    static readonly TOKENS: {
        OBJECT_ONBOARDINGCONFIG: import("./container-api").OBJECT_TOKENS.OBJECT_ONBOARDINGCONFIG;
        LOAD_STATE: import("./container-api").LOAD_STATE_TOKENS.LOAD_STATE;
        COMP_BUTTON: import("./container-api").COMP_TOKENS.COMP_BUTTON;
        FN_ONBOARDING_DONE: import("./container-api").FN_TOKENS.FN_ONBOARDING_DONE;
        STACK_ONBOARDING: import("./container-api").STACK_TOKENS.STACK_ONBOARDING;
        SERVICE_TERMS: import("./container-api").SERVICE_TOKENS.SERVICE_TERMS;
        SCREEN_PREFACE: import("./container-api").SCREEN_TOKENS.SCREEN_PREFACE;
        SCREEN_TERMS: import("./container-api").SCREEN_TOKENS.SCREEN_TERMS;
        SCREEN_ONBOARDING: import("./container-api").SCREEN_TOKENS.SCREEN_ONBOARDING;
        SCREEN_DEVELOPER: import("./container-api").SCREEN_TOKENS.SCREEN_DEVELOPER;
        SCREEN_ONBOARDING_ITEM: import("./container-api").SCREEN_TOKENS.SCREEN_ONBOARDING_ITEM;
    };
    private container;
    constructor(container: DependencyContainer);
    init(): Container;
    resolve<K extends keyof TokenMapping>(token: K): TokenMapping[K];
    getContainer(): DependencyContainer;
}
export declare const SystemContext: import("react").Context<Container | undefined>;
export declare const SystemProvider: import("react").Provider<Container | undefined>;
export declare const useSystem: () => Container;
//# sourceMappingURL=container-impl.d.ts.map